
Katello - Bug #4601

Initial seed fails

03/09/2014 08:42 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Clean start.

** Invoke db:load_config (first_time)

** Execute db:load_config

** Execute db:abort_if_pending_migrations

Seeding /usr/share/foreman/db/seeds.d/05-architectures.rb

Seeding /usr/share/foreman/db/seeds.d/07-config_templates.rb

Seeding /usr/share/foreman/db/seeds.d/08-partition_tables.rb

Seeding /usr/share/foreman/db/seeds.d/10-installation_media.rb

Seeding /usr/share/foreman/db/seeds.d/11-smart_proxy_features.rb

Seeding /usr/share/foreman/db/seeds.d/12-auth_sources.rb

Seeding /usr/share/foreman/db/seeds.d/13-compute_profiles.rb

Seeding /usr/share/foreman/db/seeds.d/15-bookmarks.rb

Seeding /usr/share/foreman/db/seeds.d/20-permissions.rb

Seeding /usr/share/foreman/db/seeds.d/25-roles.rb

All seed files executed

rake aborted!

Unable to create first org: Label already exists (including organizations being deleted);Organizat

ion Names and labels must be unique across all organizations

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/db/seeds.rb:56:in `<top (required)>'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:24

5:in `load'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:24

5:in `block in load'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:23

6:in `load_dependency'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:24

5:in `load'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:520:in `load_seed'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/lib/katello/engine.rb:116:in `block (2 leve

ls) in <class:Engine>'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `call'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `block in execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'
/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

Tasks: TOP => db:seed

shutting down Core ...

History

#1 - 04/25/2014 12:11 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#2 - 06/03/2014 02:16 PM - Eric Helms

- Status changed from New to Closed

- Target version set to 45

- Triaged changed from No to Yes

This issue appears to be resolved when testing upstream. Please re-open if you see this again.
